Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Interface HttpSessionListener

All Superinterfaces:
  java.util.EventListener

public interface HttpSessionListener
extends java.util.EventListener

Implementations of this interface may are notified of changes to the list of active sessions in a web application. To recieve notification events, the implementation class must be configured in the deployment descriptor for the web application.

Since:
  v 2.3
See Also:
  `HttpSessionEvent`

Method Summary
`void` | `sessionCreated(HttpSessionEvent se)` Notification that a session was created.
`void` | `sessionDestroyed(HttpSessionEvent se)` Notification that a session was invalidated.

Method Detail

### sessionCreated

    public void sessionCreated(HttpSessionEvent se)

  Notification that a session was created.

  Parameters:
    `se` - the notification event

### sessionDestroyed

    public void sessionDestroyed(HttpSessionEvent se)

  Notification that a session was invalidated.

  Parameters:
    `se` - the notification event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.